Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::BFGSUpdate Class Reference

The DFPUpdate class is used to specify a Broyden, Fletcher, Goldfarb, and Shanno hessian update scheme. More...

`#include <update.h>`

Inheritance diagram for sc::BFGSUpdate:

[legend]
Collaboration diagram for sc::BFGSUpdate:

[legend]
List of all members.

## Public Methods

| BFGSUpdate ()
| BFGSUpdate (StateIn &)
| BFGSUpdate (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
| ~BFGSUpdate ()
void | update (const RefSymmSCMatrix &ihessian, const Ref< Function > &, const RefSCVector &xnew, const RefSCVector &gnew)

## Detailed Description

The DFPUpdate class is used to specify a Broyden, Fletcher, Goldfarb, and Shanno hessian update scheme.

This hessian update method is the recommended method for use with QNewtonOpt objects.

## Member Function Documentation

void sc::BFGSUpdate::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::DFPUpdate.

The documentation for this class was generated from the following file:

- update.h